Jitsi-meet-turnserver won't install on ubuntu 18.04 LTS

When install jitsi-meet packages on fresh installed server i get :
Setting up jitsi-meet-turnserver (1.0.3928-1) …
dpkg: error processing package jitsi-meet-turnserver (–configure):
installed jitsi-meet-turnserver package post-installation script subprocess returned error exit status 9
Errors were encountered while processing:
jitsi-meet-turnserver
E: Sub-process /usr/bin/dpkg returned an error code (1)

Same with an upgrade any idea’s?

Can you give more details, do you have apache2 or nginx installed? Which versions?

You can skip the turnserver if you want with apt install --no-install-recommends jitsi-meet, but I’m curious to understand what is the problem and fix it or workaround it.
That package needs these dependencies: https://github.com/jitsi/jitsi-meet/blob/master/debian/control#L56

I installed on fresh server, notting installed

just did apt install jitsi-meet on ubuntu 18.04

hi,
on debian 10 same problem

it s a conflict packages between nginx-full and nginx-extras
install at the same time is impossible.
dpkg -P jitsi-meet-turnserver resolve the problem for me.

That just removes it what does the turnserver do anyway ?

Hello,

I’m facing the same issue. I was deploying a new jitsti server. Everything works as expected in version 1.0.4101-1. The problem appears in 1.0.4335-1 release.

In 1.0.4101-1 release the jitsi-meet-turnserver package do not exist

So i used apt install jitsi-meet=1.0.4101-1 jicofo=1.0-508-1 jitsi-meet-web=1.0.3729-1 jitsi-meet-web-config=1.0.3729-1 jitsi-meet-prosody=1.0.3729-1 to install previous version

It provides a way for clients to connect via TCP/443 in case UDP/10000 is not accessible (due to e.g. firewall restrictions).

Boris

Is this replaced by NGINX?